summaryrefslogtreecommitdiff
path: root/dev-python/recordclass
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-python/recordclass
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-python/recordclass')
-rw-r--r--dev-python/recordclass/Manifest1
-rw-r--r--dev-python/recordclass/metadata.xml7
-rw-r--r--dev-python/recordclass/recordclass-0.14.3.ebuild33
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/recordclass/Manifest b/dev-python/recordclass/Manifest
new file mode 100644
index 000000000000..c0760ac0eb1f
--- /dev/null
+++ b/dev-python/recordclass/Manifest
@@ -0,0 +1 @@
+DIST recordclass-0.14.3.tar.gz 156962 BLAKE2B 31bbe62fd059b9ba594d824d3e719ca4a03d72d3fdb18f8c94634d0d2a5350e3132bc1d3e20900a018e769c3dd377c53b12728dbd8daf23faf82d93663511f69 SHA512 9764b49e4cd24395a545d4845dab1522f409b48f6c0cd718499ad92a0b655d3ceef0361286dab91c7e7f05c5306e9db1f1a130b12f923dcf66c704ecdeeb612a
diff --git a/dev-python/recordclass/metadata.xml b/dev-python/recordclass/metadata.xml
new file mode 100644
index 000000000000..a1bd8ff7cb29
--- /dev/null
+++ b/dev-python/recordclass/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="bitbucket">intellimath/recordclass</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/recordclass/recordclass-0.14.3.ebuild b/dev-python/recordclass/recordclass-0.14.3.ebuild
new file mode 100644
index 000000000000..347a6f2abc18
--- /dev/null
+++ b/dev-python/recordclass/recordclass-0.14.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mutable variants of tupe and collections.namedtuple"
+HOMEPAGE="https://pypi.org/project/recordclass/"
+if [[ ${PV} == "9999" ]]
+then
+ inherit git-r3
+ EGIT_REPO_URI="https://bitbucket.org/intellimath/recordclass.git"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+# lib/recordclass/mutabletuple.c:727: PyObject *mutabletuple_copy(PyMutableTupleObject *): Assertion `PyTuple_Check(ob)' failed.
+RESTRICT="test"
+
+DEPEND="dev-python/cython"
+RDEPEND="${DEPEND}"
+
+python_test() {
+ [[ -n ${EPYTHON} ]] || die "EPYTHON unset, invalid call context"
+ ${EPYTHON} ./test_all.py
+}